Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.xml.crypto.wss.api
Class WSSecurityFactory

    java.lang.Object
      weblogic.xml.crypto.wss.api.WSSecurityFactory

    public class WSSecurityFactory

extends Object

Method Summary
`static WSSecurityFactory` | `getInstance()`
`static Security` | `newSecurity(WSSecurityContext secCtx)`
`static Timestamp` | `newTimestamp(String id, boolean useCreated, int expires)`
`static Timestamp` | `newTimestamp(String id, Calendar created, Calendar expires)`
`static UsernameToken` | `newUsernameToken(String id, String username)`
`static UsernameToken` | `newUsernameToken(String id, String username, String password, String passwordType, String nonce, String nonceEncodingType, Calendar created, List content)`
`static Security` | `unmarshalAndProcessSecurity(SOAPMessageContext ctx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static WSSecurityFactory getInstance()

### newSecurity

    public static Security newSecurity(WSSecurityContext secCtx)

### newUsernameToken

    public static UsernameToken newUsernameToken(String id,
                                                 String username)

### newUsernameToken

    public static UsernameToken newUsernameToken(String id,
                                                 String username,
                                                 String password,
                                                 String passwordType,
                                                 String nonce,
                                                 String nonceEncodingType,
                                                 Calendar created,
                                                 List content)

### newTimestamp

    public static Timestamp newTimestamp(String id,
                                         Calendar created,
                                         Calendar expires)

### newTimestamp

    public static Timestamp newTimestamp(String id,
                                         boolean useCreated,
                                         int expires)

### unmarshalAndProcessSecurity

    public static Security unmarshalAndProcessSecurity(SOAPMessageContext ctx)
                                                throws weblogic.xml.dom.marshal.MarshalException

  Throws:
    `weblogic.xml.dom.marshal.MarshalException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD